# Uses of Class
org.apache.sling.scripting.sightly.impl.engine.SightlyCompiledScript

Packages that use SightlyCompiledScript
Package
Description
org.apache.sling.scripting.sightly.impl.engine.compiled

## Uses of SightlyCompiledScript in org.apache.sling.scripting.sightly.impl.engine.compiled

Methods in org.apache.sling.scripting.sightly.impl.engine.compiled that return SightlyCompiledScript
Modifier and Type
Method
Description
`SightlyCompiledScript`
SlingHTLMasterCompiler.`compileHTLScript(SightlyScriptEngine engine, Reader script, ScriptContext scriptContext)`